Bug 1007464 - Make the Home page more useful
Make the Home page more useful
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity medium
: ER5
: 6.0.0
Assigned To: Juanma
Zuzana Krejčová
:
Depends On: 1024367
Blocks: bpms6_ux/brms6_ux
  Show dependency treegraph
 
Reported: 2013-09-12 10:28 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:19:16 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-09-12 10:28:56 EDT
Description of problem:
Right now, the Home page is pretty much just a landing page without any other use.
It would be nice to make it offer the users some relevant guidance.

The image slider, if it stays at all, should at least switch between different images - using the same one over and over looks strange. It might perhaps contain links to demos.
Comment 2 manstis 2013-09-13 03:54:00 EDT
We have a prototype Home Page similar to git hub; the intent being that it could show recent files (updated, new, deleted etc) on a per project basis etc. This widget resides in a version of UberFire that is not targeting BPMS/BRMS 6.0 as it is incomplete. I suggest deferring this BZ (to possibly 6.1) on this basis.

We could add different images for each of the categories that can be swapped between (on the image slider). IIRC Authoring, Deploy etc. under this BZ (and raise a new one for 6.1 for a new Home Page).

Please let me know what you think.
Comment 3 manstis 2013-09-16 05:04:43 EDT
Pedro, is this something Juanma could do short-term?

"The image slider, if it stays at all, should at least switch between different images - using the same one over and over looks strange. It might perhaps contain links to demos."
Comment 4 Pedro Zapata 2013-09-16 06:21:09 EDT
What makes sense to me is just changing the displayed images, for aesthetic purposes mainly. A redesign of the functionality of the home page is beyond the scope of 6.0. Current version is not bad, of course there is lot of room for improvement to display more useful information to the user, for example,  a pending task count or any other dynamic information summary.

Definetely, IMO this is not a Beta Blocker though.
Comment 5 Juanma 2013-09-16 06:47:34 EDT
We need five images royalty free for the carrousel off the home page.
The terms to represent are: Authoring, Deploy, Process Management, Tasks, Dashboards. And de minimun dimension 1170 × 304 pixels.
Comment 6 Prakash Aradhya 2013-09-16 18:14:45 EDT

Internal Whiteboard: Beta Blocker → Blocker
Not critical for Beta, but need to address for GA
Comment 8 Joe Sniezek 2013-10-16 14:29:24 EDT
New proposed homepage:  http://share.axure.com/RSUHZH/

There will be 3 variations of the homepage.  

Each homepage has:
A title 
A carousel with infographics
A first-time 'welcome' message (or helpful links) below

Admins, Developers, and Process Analysts will all see the full homepage, whereas general business users and managers will get their own, scaled down versions. 

(Prototype Usage Note: use the left-hand links to see the 3 homepage variations.  Also, the carousels in the first 2 variations are interactive)
Comment 10 Pedro Zapata 2013-11-13 05:46:11 EST
Initial specs were provided @ http://share.axure.com/RSUHZH/
Comment 11 Juanma 2013-11-18 08:43:12 EST
Proposal submitted integrated and uploaded.
Comment 12 Juanma 2013-11-18 12:07:28 EST
Proposal submitted integrated and uploaded.
commit:
https://github.com/jboss-integration/kie-wb-distributions/commit/1b9a89cbbad3781ef6d9fe0481902a3f7a0b824c
Comment 13 Zuzana Krejčová 2013-12-11 04:00:38 EST
Verified with ER5 - looks good.

Note You need to log in before you can comment on or make changes to this bug.